Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004044 [JEDI VCL] 00 JVCL Components tweak always 2007-01-22 06:24 2007-06-20 02:16
Reporter ZENsan View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004044: TJvXPButton corrupted display of glyph until mouseover
Description Simply paste this on to your form. Glyph is displayed with incorrect offset until mouse moves over button.
Additional Information object BtnFromFiles: TJvXPButton
  Left = 449
  Top = 108
  Width = 101
  Caption = 'Get from files'
  TabOrder = 12
  Glyph.Data = {
    055449636F6E0000010001001010000001002000680400001600000028000000
    1000000020000000010020000000000040040000000000000000000000000000
    00000000B12C00FFB12C00FFB12C00FFB12C00FFB12C00FFB12C00FFB12C00FF
    B12C00FFB12C00FFB12C00FF0A0AE9FF0000E9FF0000E9FF0000E9FF0000E9FF
    0000E9FFCA7053FFB12C00FFB02C00FFB02C00FFB02C00FFB02C00FFB02C00FF
    B02C00FFB02C00FFB02C00FFB02C00FF0A0AE9FF0A0AE9FF0000E9FF0000E9FF
    0000E9FFCE7C61FFB02C00FFEFD6CDFFEFD6CDFFEFD6CDFFEFD6CDFFFFFFFFFF
    FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF2424EBFF0909E9FF0000E9FF
    0000E9FFCE7C61FFB02C00FFEFD6CDFFB03003FFB12C00FFCB7255FFFFFFFFFF
    FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF0A0AE9FF0606E9FF
    0000E9FFCE7C61FFB02C00FFF6E7E2FFC76848FFB03003FFB33207FFF8EDE9FF
    FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF0A0AE9FF
    0201E5FFCE7C61FFB02C00FFFFFFFFFFCB7355FFBD502AFFB12C00FFDCA18DFF
    FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFB03003FF
    0A0AE9FFCE7C61FFB02C00FFFFFFFFFFE1AD9BFFCA7052FFB12C00FFBB4923FF
    D8957FFFD8957FFFD8957FFFE7BEB1FFFFFFFFFFFFFFFFFFFFFFFFFFB13003FF
    B12C00FFCE7C61FFB02C00FFFFFFFFFFFAF3F1FFC05834FFBF502DFFB12C00FF
    B12C00FFB12C00FFB12C00FFB12C00FFE3B3A3FFFFFFFFFFFFFFFFFFB13104FF
    B12C00FFCE7C61FFB02C00FFFFFFFFFFFFFFFFFFCE7C60FFCA7052FFB12C00FF
    B03003FFB03003FFB03003FFB03003FFCF7E63FFFFFFFFFFFFFFFFFFB03003FF
    B12C00FFCE7C61FFB02C00FFFFFFFFFFFFFFFFFFE7BEB1FFC05834FFBD4E29FF
    B12C00FFF2DCD5FFF6E8E3FFF6E8E3FFF6E8E3FFFFFFFFFFFFFFFFFFB03003FF
    B12C00FFCE7C61FFB02C00FFFFFFFFFFFFFFFFFFFFFFFFFFC15938FFCA7052FF
    B12C00FFCD785CFFD8957FFFD8957FFFEBCABFFFFFFFFFFFFFFFFFFFB03003FF
    B12C00FFCE7C61FFB02C00FFFFFFFFFFFFFFFFFFFFFFFFFFD58F78FFC05834FF
    BD4F2AFFB12C00FFB12C00FFB12C00FFD8957FFFFFFFFFFFB03003FFB12C00FF
    B5380EFFCE7C61FFB02C00FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFD7947DFF
    CB7355FFCD785CFFCD785CFFC76848FFE7BEB1FFB03003FFB12C00FFB73B12FF
    B03003FFCE7C61FFB02C00FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
    F6E8E3FFF6E8E3FFF6E8E3FFF6E8E3FFB03003FFB12C00FFB03003FFB03003FF
    00000000CE7C61FFB12C00FFB02D00FFB02D00FFB02D00FFB02D00FFB02D00FF
    B02D00FFB02D00FFB02D00FFB02D00FFB12C00FFB03003FFB03003FF00000000
    00000000CD7A5EFFCE7C61FFCE7C61FFCE7C61FFCE7C61FFCE7C61FFCE7C61FF
    CE7C61FFCE7C61FFCE7C61FFCE7C61FFCE7C61FFC87152FF0000000000000000
    0000000000000000000000000000000000000000000000000000000000000000
    0000000000000000000000000000000000000000000000000001000000030000
    00070000}
  OnClick = BtnFromFilesClick
end
Tags No tags attached.
Attached Files zip file icon Tests.zip [^] (1,778 bytes) 2007-02-02 16:53

- Relationships

-  Notes
(0010575)
obones (administrator)
2007-01-22 06:45

Please provide the zipped sources.
(0010696)
ZENsan (reporter)
2007-02-02 16:53

Here you are!
(0012405)
ZENsan (reporter)
2007-05-03 00:03

So?
(0013479)
obones (administrator)
2007-06-20 01:38

I'm seeing this as well.
(0013480)
obones (administrator)
2007-06-20 02:15

This is now fixed in SVN, it was because the picture is a TIcon.

- Issue History
Date Modified Username Field Change
2007-01-22 06:24 ZENsan New Issue
2007-01-22 06:45 obones Note Added: 0010575
2007-01-22 06:45 obones Status new => feedback
2007-02-02 16:53 ZENsan File Added: Tests.zip
2007-02-02 16:53 ZENsan Note Added: 0010696
2007-05-03 00:03 ZENsan Note Added: 0012405
2007-06-20 01:38 obones Note Added: 0013479
2007-06-20 01:38 obones Assigned To => obones
2007-06-20 01:38 obones Status feedback => confirmed
2007-06-20 02:15 obones Status confirmed => resolved
2007-06-20 02:15 obones Fixed in Version => Daily / SVN
2007-06-20 02:15 obones Resolution open => fixed
2007-06-20 02:15 obones Note Added: 0013480


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker